[law]
id = 10001871
name = "Ehegesetz"

[[law.classifiers]]
name = "Abschnitt"
is_root = true
match_function = "contains"

[[law.classifiers]]
name = "Uppercase letter"
is_root = false
match_function = "starts_with_uppercaseletter"

[[law.classifiers]]
name = "roman letter"
is_root = false
match_function = "starts_with_roman_number"

[[law.classifiers]]
name = "letter"
is_root = false
match_function = "starts_with_letter"

[parser]
remove_strings = [
	"""<ueberschrift typ="para" ct="text" halign="c">§ 33</ueberschrift>""",
	"<i>", "</i>",
	"<n>", "</n>"
]
move_para_headers_into_content = true


[[parser.replace_rules]]
find = "<gdash />"
replace_with = "-"

[[parser.replace_rules]]
find = """<absatz typ="erltext" ct="artikel_anlage" halign="j">§ 62</absatz>"""
replace_with = """<absatz typ="erltext" ct="artikel_anlage" halign="j">§ 62</absatz>\
<ueberschrift typ="titel" halign="j">Beachte</ueberschrift>\
<absatz typ="erltext" ct="artikel_anlage" halign="j">Gilt sinngemäß für den geschiedenen Ehemann (BGBl 1975/412).</absatz>"""

[[parser.replace_rules]]
find = "(Anm.: § 108 aufgehoben durch Art. II Z 7 BGBl. Nr. 566/1983)"
replace_with = "<gldsym>§ 108.</gldsym>(Anm.: § 108 aufgehoben durch Art. II Z 7 BGBl. Nr. 566/1983)"

# Wrongly formatted "headers"
[[parser.replace_rules]]
find = """<ueberschrift typ="g1" ct="text" halign="c">Fristablauf</ueberschrift>"""
replace_with = """<ueberschrift typ="para" ct="text" halign="c">Fristablauf</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">I. Nichtigkeitsgründe</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Nichtigkeitsgründe</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="g2" ct="text" halign="c">I. Allgemeine Vorschriften</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Allgemeine Vorschriften</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="g2" ct="text" halign="c">I. Name der geschiedenen Frau</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Name der geschiedenen Frau</ueberschrift>"""
